Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Interface DDBean

All Known Subinterfaces:
  DDBeanRoot

public interface DDBean

An interface for beans that represent a fragment of a standard deployment descriptor. A link is provided to the J2EE application that includes this bean.

Method Summary
`void` | `addXpathListener(java.lang.String xpath, XpathListener xpl)` Register a listener for a specific XPath.
`java.lang.String[]` | `getAttributeNames()` Returns the list of attribute names associated with the XML element.
`java.lang.String` | `getAttributeValue(java.lang.String attrName)` Returns the string value of the named attribute.
`DDBean[]` | `getChildBean(java.lang.String xpath)` Return a list of DDBeans based upon the XPath.
`java.lang.String` | `getId()` Returns a tool-specific reference for attribute ID on an element in the deployment descriptor.
`DDBeanRoot` | `getRoot()` Return the root element for this DDBean.
`java.lang.String` | `getText()` Returns the XML text for by this bean.
`java.lang.String[]` | `getText(java.lang.String xpath)` Return a list of text values for a given XPath in the deployment descriptor.
`java.lang.String` | `getXpath()` Returns the original xpath string provided by the DConfigBean.
`void` | `removeXpathListener(java.lang.String xpath, XpathListener xpl)` Unregister a listener for a specific XPath.

Method Detail

### getXpath

    public java.lang.String getXpath()

  Returns the original xpath string provided by the DConfigBean.

  Returns:
    The XPath of this Bean.

### getText

    public java.lang.String getText()

  Returns the XML text for by this bean.

  Returns:
    The XML text for this Bean.

### getId

    public java.lang.String getId()

  Returns a tool-specific reference for attribute ID on an element in the deployment descriptor. This attribute is defined for J2EE 1.2 and 1.3 components.

  Returns:
    The XML text for this Bean or 'null' if no attribute was specifed with the tag.

### getRoot

    public DDBeanRoot getRoot()

  Return the root element for this DDBean.

  Returns:
    The DDBeanRoot at the root of this DDBean tree.

### getChildBean

    public DDBean[] getChildBean(java.lang.String xpath)

  Return a list of DDBeans based upon the XPath.

  Parameters:
    `xpath` - An XPath string referring to a location in the same deployment descriptor as this standard bean.
  Returns:
    a list of DDBeans or 'null' if no matching XML data is found.

### getText

    public java.lang.String[] getText(java.lang.String xpath)

  Return a list of text values for a given XPath in the deployment descriptor.

  Parameters:
    `xpath` - An XPath.
  Returns:
    The list text values for this XPath or 'null' if no matching XML data is found.

### addXpathListener

    public void addXpathListener(java.lang.String xpath,
                                 XpathListener xpl)

  Register a listener for a specific XPath.

  Parameters:
    `xpath` - The XPath this listener is to be registered for.
    `xpl` - The listener object.

### removeXpathListener

    public void removeXpathListener(java.lang.String xpath,
                                    XpathListener xpl)

  Unregister a listener for a specific XPath.

  Parameters:
    `xpath` - The XPath from which this listener is to be unregistered.
    `xpl` - The listener object.

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Returns the list of attribute names associated with the XML element.

  Returns:
    a list of attribute names on this element. Null is returned if there are no attributes.

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String attrName)

  Returns the string value of the named attribute.

  Returns:
    a the value of the attribute. Null is returned if there is no such attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.